org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableFillLayoutStyle

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration
  - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableFillLayoutStyle

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.config.IConfiguration

    public class DataTableFillLayoutStyle
    extends org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

Style config for fill layouts.

Author:
  Fabian Prasser

### Field Summary

Fields
`static java.lang.String` `DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL` TODO

### Constructor Summary

Constructors
Constructor and Description
`DataTableFillLayoutStyle(org.eclipse.swt.widgets.Control control)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.config.AbstractRegistryConfiguration

`configureLayer, configureUiBindings`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL

    public static final java.lang.String DEFAULT_FILL_LAYOUT_CELL_CONFIG_LABEL

TODO

See Also:
  Constant Field Values

### Constructor Detail

#### DataTableFillLayoutStyle

    public DataTableFillLayoutStyle(org.eclipse.swt.widgets.Control control)

Parameters:
  `control` -

### Method Detail

#### configureRegistry

    public void configureRegistry(org.eclipse.nebula.widgets.nattable.config.IConfigRegistry configRegistry)